Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class EjbqlBuilder

    java.lang.Object
      org.apache.cayenne.map.EjbqlBuilder

    public class EjbqlBuilder

extends Object

Field Summary
`protected Map<String,String>` | `adapterSql`
`protected DataMap` | `dataMap`
`protected String` | `ejbql`
`protected String` | `name`
`protected List<Ordering>` | `orderings`
`protected List<String>` | `prefetches`
`protected Map<String,String>` | `properties`
`protected Expression` | `qualifier`
`protected String` | `resultEntity`
`protected String` | `rootName`
`protected String` | `rootType`
`protected String` | `sql`

Constructor Summary
`EjbqlBuilder()`

Method Summary
`protected Object` | `getRoot()` Determines query root based on configuration info, falls back to a DataMap root if the data is invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### properties

    protected Map<String,String> properties

### sql

    protected String sql

### ejbql

    protected String ejbql

### adapterSql

    protected Map<String,String> adapterSql

### qualifier

    protected Expression qualifier

### orderings

    protected List<Ordering> orderings

### prefetches

    protected List<String> prefetches

### dataMap

    protected DataMap dataMap

### rootType

    protected String rootType

### rootName

    protected String rootName

### resultEntity

    protected String resultEntity

Constructor Detail

### EjbqlBuilder

    public EjbqlBuilder()

Method Detail

### getRoot

    protected Object getRoot()

  Determines query root based on configuration info, falls back to a DataMap root if the data is invalid.

  Throws:
    `CayenneRuntimeException` - if a valid root can't be established.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.